[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]


ok list, I again have a question for you geniuses. I have no idea whatsoever of any of the java language, or classes and whatnot, I just know that Azureus needs java, trying to install it before I ran into some unresolved dependencies, so it wouldn't install. I found a package that's a couple years old from this post http://lists.debian.org/debian-powerpc/2003/05/msg00416.html

and when I try to run azureus I get:
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/gudy/azureus2/ui/swt/Main (Unsupported major.minor version 48.0)
       at java.lang.ClassLoader.defineClass0(Native Method)
       at java.lang.ClassLoader.defineClass(ClassLoader.java:493)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:111)
       at java.net.URLClassLoader.defineClass(URLClassLoader.java:248)
       at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
       at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
       at java.lang.ClassLoader.loadClass(ClassLoader.java:299)
       at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:286)
       at java.lang.ClassLoader.loadClass(ClassLoader.java:255)
       at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:315)

Does anyone know what this means, and do I need a different Java package? I used aptitude download to get java-common, and installed j2re1.3_1.3.1.02d-1_powerpc.deb and j2se-common_1.1_all.deb from this person's packages.

Any help is as always, much appreciated.
--Mike S

Reply to: